Bug 188132 - Calls keycompare instead of numcompare when using non-ASCII separator
Calls keycompare instead of numcompare when using non-ASCII separator
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: coreutils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2006-04-06 06:29 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: coreutils-4.5.3-28.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 15:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
abc.txt (158 bytes, text/plain)
2006-04-06 06:29 EDT, Bastien Nocera
no flags Details
tmp.sh (172 bytes, text/plain)
2006-04-06 06:30 EDT, Bastien Nocera
no flags Details
sort-non-ascii-separator-rhel3.patch (524 bytes, patch)
2006-04-06 06:31 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-04-06 06:29:52 EDT
coreutils-4.5.3-28

The testcase attached fails with LC_ALL set to C, but works correctly with a
UTF-8 locale.
Comment 1 Bastien Nocera 2006-04-06 06:29:53 EDT
Created attachment 127402 [details]
abc.txt
Comment 2 Bastien Nocera 2006-04-06 06:30:37 EDT
Created attachment 127403 [details]
tmp.sh
Comment 3 Bastien Nocera 2006-04-06 06:31:38 EDT
Created attachment 127404 [details]
sort-non-ascii-separator-rhel3.patch

Bug spotted by Tim Waugh <twaugh@redhat.com>
Comment 24 Dennis Gregorovic 2007-03-28 15:25:13 EDT
This bug was fix in coreutils-4.5.3-28.4 which was released as an asynchronous
RHBA errata advisory.
https://rhn.redhat.com/errata/RHBA-2006-0670.html

Note You need to log in before you can comment on or make changes to this bug.